#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys

import technoap.sitcp as sitcp
import technoap.device.apv8508 as apv8508

#device IP address
#DEST_IPADDR = "192.168.10.128"
DEST_IPADDR = "192.168.10.16"

#Perform ADC calibration.
#You only have to execute it once after turning on the power.

##################################################
def main(argv):

	try:
		print ("calibration start!!!")

		#RBCP
		rbcp = sitcp.RBCP(True)
		rbcp.setdefaultdest(DEST_IPADDR)

		#config
		print ("wating...")
		config = apv8508.Config(rbcp)
		result = config.runCalibration(7.0)  #calibration

		if result == True: print ("success!")
		else: print ("error...")
	except Exception as ex:
		print (ex)


##################################################
if __name__=='__main__':
	main(sys.argv)

