#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys

from ..common import register
from ..common.reginfo import RegInfo


class Register(register.Register):

	#################################
	mInited = False

	mListRegister = {
		#common
		"MOD": RegInfo("", 0xb4000000, 2),
		"MMD": RegInfo("", 0xb4000002, 2),
		"AQS": RegInfo("", 0xb4000004, 2),
		"MTM": RegInfo("", 0xb4000006, 8),
		"RLT": RegInfo("", 0xb400000e, 8),	#read only
		"SPB": RegInfo("", 0xb4000026, 2),
		"ACS": RegInfo("", 0xb400002a, 2),
		"ARS": RegInfo("", 0xb400002e, 2),
		"TGC": RegInfo("", 0xb4000030, 2),
		"TGE": RegInfo("", 0xb4000032, 2),
		"FRN": RegInfo("", 0xb4000036, 2),
		"CTM": RegInfo("", 0xb4000048, 2),
		"WWN": RegInfo("", 0xb400004a, 2),
		"FIT": RegInfo("", 0xb4000060, 2),
		"DMD": RegInfo("", 0xb4000068, 2),
		"IRG": RegInfo("", 0xb400006e, 2),
		#"ORL": RegInfo("", 0xb4000070, 2),
		"WCP": RegInfo("", 0xb400008a, 2),
		"WTP": RegInfo("", 0xb400008c, 2),
		"CLR": RegInfo("", 0xb4000090, 2),
		"RQH": RegInfo("", 0xb400009a, 2),
		"STC": RegInfo("", 0xb40000c0, 2),
		"SGT": RegInfo("", 0xb40000d0, 2),
		"ETC": RegInfo("", 0xb40000e0, 2),

		#channel
		"AFS": RegInfo("", 0xb400010c, 2),
		"GSL": RegInfo("", 0xb400010e, 2),
		"RJT": RegInfo("", 0xb4000110, 2),
		"POL": RegInfo("", 0xb400011a, 2),
		"ICT": RegInfo("", 0xb400011c, 4),	#read only
		"TCT": RegInfo("", 0xb4000120, 4),	#read only
		"ICR": RegInfo("", 0xb400012c, 4),	#read only
		"TCR": RegInfo("", 0xb4000130, 4),	#read only
		"LVT": RegInfo("", 0xb4000144, 8),	#read only
		"CCF": RegInfo("", 0xb4000160, 2),
		"CDL": RegInfo("", 0xb4000162, 2),
		"CWK": RegInfo("", 0xb4000164, 2),
		"CTH": RegInfo("", 0xb4000166, 2),
		"CLD": RegInfo("", 0xb4000168, 2),
		"CUD": RegInfo("", 0xb400016a, 2),
		"FLK": RegInfo("", 0xb400016e, 2),
		"EPD": RegInfo("", 0xb4000170, 2),
		"PJN": RegInfo("", 0xb4000172, 2),
		"PWD": RegInfo("", 0xb4000174, 2),
		"SGD": RegInfo("", 0xb4000176, 2),
		"PTT": RegInfo("", 0xb4000178, 2),
		"PDN": RegInfo("", 0xb400017a, 2),
		"PRE": RegInfo("", 0xb400017c, 2),
		#"ORE": RegInfo("", 0xb4000180, 2),
		"CHE": RegInfo("", 0xb4000182, 2),
		"TOI": RegInfo("", 0xb4000184, 2),
		"PEJ": RegInfo("", 0xb4000186, 2),
		"PIV": RegInfo("", 0xb4000188, 2),
		"P0C": RegInfo("", 0xb40001a0, 2),
		"P1C": RegInfo("", 0xb40001a2, 2),
		"P2C": RegInfo("", 0xb40001a4, 2),
		"P3C": RegInfo("", 0xb40001a6, 2),
		"P4C": RegInfo("", 0xb40001a8, 2),
		"P5C": RegInfo("", 0xb40001aa, 2),
		"P6C": RegInfo("", 0xb40001ac, 2),
		"P7C": RegInfo("", 0xb40001ae, 2),
		#"PWE": RegInfo("", 0xb40001b0, 2),
		#"P0W": RegInfo("", 0xb40001b4, 2),
		#"P1W": RegInfo("", 0xb40001b6, 2),
		#"P4W": RegInfo("", 0xb40001b8, 2),
		#"P5W": RegInfo("", 0xb40001ba, 2),
		#"P6W": RegInfo("", 0xb40001bc, 2),
		#"P7W": RegInfo("", 0xb40001be, 2),
		"PTS": RegInfo("", 0xb40001c0, 2),
		"WSL": RegInfo("", 0xb40001c2, 2),
		"LIG": RegInfo("", 0xb40001c6, 2),
		"LIT": RegInfo("", 0xb40001c8, 2),
		"P2W": RegInfo("", 0xb40001cc, 2),
		"P3W": RegInfo("", 0xb40001ce, 2),
		"TTY": RegInfo("", 0xb40001d0, 2),
		"PFS": RegInfo("", 0xb40001d6, 2),
		"FST": RegInfo("", 0xb40001d8, 2),
		"FSP": RegInfo("", 0xb40001da, 2),
		"QIR": RegInfo("", 0xb40001dc, 2),
		"WAS": RegInfo("", 0xb40001de, 2),
		"DDT": RegInfo("", 0xb40001e0, 8),	#read only
		"RST": RegInfo("", 0xb40001e8, 2),
		"RSP": RegInfo("", 0xb40001ea, 2),
		"TST": RegInfo("", 0xb40001ec, 2),
		"TSP": RegInfo("", 0xb40001ee, 2),
	}
	
