#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import copy

from .reginfo import RegInfo

class Register(object):

	#################################
	mInited = False
	mListRegister = {}
	
	##########################################################
	def __init__(self):
		self.initRegister()

	##########################################################
	@classmethod
	def initRegister(cls):

		if cls.mInited == False:
			for key in cls.mListRegister.keys():
				var = cls.mListRegister[key]
				if var is not None: var.mName = key

			cls.mInited = True
		
		return

	##########################################################
	@classmethod
	def getAttribute(cls, name):
		cls.initRegister()
		return cls.mListRegister[name]

	##########################################################
	@classmethod
	def addRegisterList(cls, source, addinfo):
		news = copy.deepcopy(source)
		news.update(**addinfo)
		return news
	

