#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import socket

THISMACHINE_BIGENDIAN = True if sys.byteorder == 'big' else False

############################################################
def isBigmachine():
	return	THISMACHINE_BIGENDIAN


############################################################
def swapping(value, nbytes):
	result = 0

	for i in range(nbytes):
		dummy0 = (value >> (i * 8)) & 0x00ff
		dummy1 = (dummy0 << ((nbytes - i - 1) * 8))
		result |= dummy1

	return result


############################################################
def htons(value):
	return socket.htons(value)

def ntohs(value):
	return socket.ntohs(value)


############################################################
def htonl(value):
	return socket.htonl(value)

def ntohl(value):
	return socket.ntohl(value)


############################################################
def hton64(value):
	result = value
	if isBigmachine() == False:
		result = swapping(value, 8)
	return result

def ntoh64(value):
	return	hton64(value)

